summaryrefslogtreecommitdiffstats
path: root/util-vserver-netns
diff options
context:
space:
mode:
Diffstat (limited to 'util-vserver-netns')
-rwxr-xr-xutil-vserver-netns65
1 files changed, 65 insertions, 0 deletions
diff --git a/util-vserver-netns b/util-vserver-netns
new file mode 100755
index 0000000..6e1a04a
--- /dev/null
+++ b/util-vserver-netns
@@ -0,0 +1,65 @@
+#!/bin/bash
+### BEGIN INIT INFO
+# Provides: util-vserver-netns
+# Required-Start: $remote_fs $syslog $time util-vserver
+# Required-Stop: $remote_fs $syslog $time util-vserver
+# X-Start-Before: vservers-default
+# X-Stop-After: vservers-default
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: Sets the path to vshelper for netns handling
+# Description: Sets the path to vshelper for netns handling
+### END INIT INFO
+
+: ${UTIL_VSERVER_VARS:=/usr/share/util-vserver/netns/util-vserver-vars}
+test -e "$UTIL_VSERVER_VARS" || {
+ echo $"Can not find util-vserver installation (the file '$UTIL_VSERVER_VARS' would be expected); aborting..." >&2
+ exit 1
+}
+. "$UTIL_VSERVER_VARS"
+
+LOCKFILE=util-vserver-netns
+. "$_LIB_VSERVER_INIT_FUNCTIONS"
+. "$_LIB_FUNCTIONS"
+. "$_LIB_VSERVER_FUNCTIONS"
+
+function start()
+{
+ _beginResult $"Setting path to vshelper"
+ set_helper
+ local retval=$?
+ _endResult $retval
+ test "$retval" -ne 0 || touch "$lockfile"
+ return $retval
+}
+
+function stop()
+{
+ $_RM -f "$lockfile"
+}
+
+function restart()
+{
+ stop
+ start
+}
+
+case "$1" in
+ start|stop|restart) $1;;
+ reload) ;;
+ condrestart)
+ test -f $lockfile && restart || :
+ ;;
+ status)
+ test -f $lockfile && {
+ echo $"Path to vshelper.netns has been set"
+ exit 0
+ }
+ echo $"Path to vshelper.netns has not been set"
+ exit 1
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|reload|restart|condrestart|status}"
+ exit 2
+ ;;
+esac